@import 'variables';
@import './mixins/mixins';

$border-color: darken($color:$color-white, $amount: 10);
$card-shade: $color-white 0%,$color-black 100%;

.container {
  padding-top: 1em;
  @media (min-width: $screen-md) and (max-width: $screen-xlg) {
    padding-top: 2em;
  }
  @media (min-width: $screen-xlg) {
    padding-top: 4em;
  }

  &.single {
    @media (min-width: $screen-lg) {
      max-width: 850px;
      margin: 0 auto;
    }
  }

  .block_title {
      text-align: center;
      margin: 0 auto;
      margin-bottom: 1em;
      @media (min-width: $screen-md) and (max-width: $screen-xlg) {
        max-width: 90%;
      }
      @media (min-width: $screen-xlg) {
        max-width: 70%;
        margin-bottom: 2em;
      }
  }

  h1.title {
    font-size: 1.7em;
    font-weight: 900;
    margin: 0;
    @media (min-width: $screen-xs) and (max-width: $screen-md) {
      font-size: 2em;
      line-height: 1.2em;
    }
    @media (min-width: $screen-md) {
      font-size: 2.5em;
    }
    @media (min-width: $screen-lg) {
      font-size: 4em;
    }
  }

  .block_atitle {
    text-align: center;
  }

  .atitle {
    display: inline-block;
    font-size: 14px;
    margin-bottom: 0.5em;
    text-transform: uppercase;
    font-weight: bold;
    @media (min-width: $screen-xs) and (max-width: $screen-md) {
      font-size: 18px;
    }
    @media (min-width: $screen-md) and (max-width: $screen-lg) {
      font-size: 24px;
    }
    @media (min-width: $screen-lg) {
      font-size: 24px;
    }
  }

  .highlight {
    background-image: -webkit-gradient(linear,left bottom,left top,color-stop(50%,#D0E9FF 50%,transparent 50%),color-stop(50%,transparent));
    background-image: -webkit-linear-gradient(bottom,#D0E9FF 50%,transparent 50%) 50%,transparent 50%;
    background-image: linear-gradient(0deg,#D0E9FF 50%,transparent 50%);

    &.dark {
      background-image: -webkit-gradient(linear,left bottom,left top,color-stop(50%,darken($color-primary, 25) 50%,transparent 50%),color-stop(50%,transparent));
      background-image: -webkit-linear-gradient(bottom,darken($color-primary, 25) 50%,transparent 50%) 50%,transparent 50%;
      background-image: linear-gradient(0deg,darken($color-primary, 25) 50%,transparent 50%);
    }
  }

  .meta {
    font-size: 14px;
    text-align: center;
    @media (min-width: $screen-xs) and (max-width: $screen-md) {
      font-size: 16px;
      line-height: 22px;
    }
    @media (min-width: $screen-md) {
      font-size: 18px;
    }
    div {
      display: inline;
    }
  }

  .readtime {
    margin-left: 0.5em;
    font-size: 14px;
    display: block;
    @media (min-width: $screen-md) {
      font-size: 16px;
      display: inline-block;
    }
  }

  .intro {
    font-size: 18px;
    line-height: 24px;
    text-align: center;
    margin-top: 1em;
    padding: 1em 0;
    border-top: 2px dashed $border-color;
    @media (min-width: $screen-xs) and (max-width: $screen-md) {
      font-size: 22px;
      line-height: 30px;
    }
    @media (min-width: $screen-md) {
      padding: 2em 1em;
      font-size: 26px;
      line-height: 38px;
    }
    &.dark {
      border-color: lighten($color-black, 25);
    }
  }

  .block_cover {
    margin-bottom: 1em;
  }

  figure img {
    display: block;
  }

  figure figcaption {
    margin-top: 10px;
    margin-left: 3px;
    color: darken($color: $color-white, $amount: 30);
    font-size: smaller;
    line-height: 15px;
    overflow: hidden;
  }

  figure.cover {
    position: relative;
    margin-bottom: 20px;

    figcaption {
      color: darken($color: $color-white, $amount: 40);
      padding: 0;
      margin-top: 15px;
      @media (min-width: $screen-md) {
        padding: 10px;
      }
    }

    div.figure_content {
      position: relative;
      &::before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        border: 2px solid $color-black;
        z-index: 1;
        @media (min-width: $screen-md) {
          border-width: 3px;
        }
      }

      img {
        position: relative;
        top: 8px;
        left: 8px;
        z-index: 0;
        @media (min-width: $screen-md) {
          top: 10px;
          left: 10px;
        }
      }
    }

    &.dark {
      figcaption {
        color: lighten($color: $color-black, $amount: 30);
      }
      div.figure_content {
        border-color: lighten($color: $color-black, $amount: 20);
        box-shadow: none;
        &::before {
          border-color: $color-white;
        }
      }
    }
  }

  .authorIntro {
    margin-top: 2em;
    padding: 1em;
    border: 1px solid $border-color;
    font-size: medium;
    h4, p {
      margin: 0;
    }
  }

  .published_in {
    border-top: 1px solid $border-color;
    border-bottom: 1px solid $border-color;
    padding: 1em 0;
    margin-bottom: 1em;
    font-size: 16px;
    line-height: 34px;
    overflow: hidden;
    @media (min-width: $screen-md) {
      font-size: 18px;
      line-height: 38px;
      margin-bottom: 2em;
    }
    &.dark {
      border-color: lighten($color-black, 25);
    }

    a.tag {
      position: relative;
      @include tag;
      font-style: normal;
      padding: 0 10px;
      line-height: 24px;
      &::after {
        position: absolute;
        top: 4px;
        left: 4px;
        bottom: -4px;
        right: -4px;
        content: "";
        display: block;
        background-color:lighten($color: $color-primary, $amount: 45);
        z-index: -6;
      }
      &:hover {
        color: $color-white;
        background-color: $color-primary;
      }
    }
  }

  .body_wrapper {
    margin-top: 2em;
    @media (min-width: $screen-xlg) {
      display: flex;
      flex: 1;
    }
  }

  .sidebar_right {
    @media (min-width: $screen-md) and (max-width: $screen-xlg) {
      margin-left: 100px;
    }
    @media (min-width: $screen-xlg) {
      display: block;
      order: 3;
      width: 320px;
    }
  }

  .sidebar_right_wrapper {
    @media (min-width: $screen-xlg) {
      margin-left: 30px;
      margin-right: 10px;
    }
  }

  .gutter {
    @media (min-width: $screen-md) {
      float: left;
      width: 100px;
    }
  }

  .sponsored_tag {
    display: inline-block;
    @include tag;
    background-color: $color-primary;
    color: $color-white;
    border: none;
    margin-bottom: 1em;
    margin-right: 0;
    @media (min-width: $screen-md) {
      margin-bottom: 2em;
      padding: 5px 10px;
    }
  }

  main {
    margin-bottom: 2em;
    padding-bottom: 1em;

    @media (min-width: $screen-md) and (max-width: $screen-xlg) {
      margin: 0 20px 50px 100px;
      &.single {
        margin-left: 0;
      }
    }

    @media (min-width: $screen-xlg) {
      flex: 1;
      order: 1;
    }

    &.single {
      position: relative;
      border: 2px solid $color-primary;
      padding: 40px;
      &::after {
        content: "";
        position: absolute;
        top: 10px;
        right: -15px;
        bottom: -15px;
        left: 10px;
        background-color: lighten($color: $color-primary, $amount: 49);
        z-index: -5;
      }
    }

    .content {
      p, ul, ol {
        font-size: 16px;
        line-height: 24px;
        @media (min-width: $screen-xs) and (max-width: $screen-md) {
          font-size: 20px;
          line-height: 30px;
        }
        @media (min-width: $screen-md) {
          font-size: 22px;
          line-height: 32px;
        }
        &:first-child {
          margin-top: 0;
        }
      }

      p {
        margin-bottom: 1em;
      }

      ol, ul {
        margin: 0 0 1em 0;
        padding-left: 30px;
      }


      h2,
      h3,
      h4,
      h5,
      h6 {
        line-height: 1.5;
      }

      h2, h3 {
        position: relative;
        display: inline-block;
        &::after {
          position: absolute;
          top: 20px;
          left: 10px;
          bottom: 0;
          right: -5px;
          content: "";
          display: block;
          background-color:lighten($color: $color-primary, $amount: 45);
          z-index: -1;
        }
      }

      h2 {
        font-size: 22px;
        margin: 0.5em 0;
        @media (min-width: $screen-xs) and (max-width: $screen-md) {
          font-size: 30px;
        }
        @media (min-width: $screen-md) {
          font-size: 32px;
        }
      }

      h3 {
        font-size: 18px;
        margin: 0.5em 0;
        @media (min-width: $screen-xs) and (max-width: $screen-md) {
          font-size: 25px;
        }
        @media (min-width: $screen-md) {
          font-size: 29px;
        }
      }

      a {
        color: $color-primary;
        text-decoration: none;
        padding: 0 0.3em;
        position: relative;
        &::before {
          content: "";
          position: absolute;
          top: 100%;
          left: 7px;
          right: 5px;
          height: 2px;
          background: linear-gradient(130deg,#ff7a18,#af002d 41.07%,$color-primary 76.05%);
        }
        &:hover {
          color: $color-white;
          background-color: $color-primary;
          &::before {
            display: none;
          }
        }
      }

      figure {
        position: relative;
        &::before {
          content: "";
          position: absolute;
          top: 0;
          right: 0;
          bottom: 45px;
          left: 0;
          z-index: 1;
          border: 2px solid $color-black;
        }

        img {
          position: relative;
          left: 8px;
          top: 8px;
          @media (min-width: $screen-md) {
            left: 12px;
            top: 12px;
          }
        }

        figcaption {
          padding: 10px;
          max-height: 36px;
          overflow: hidden;
        }
      }
    }

    blockquote {
      border: 2px solid $color-primary;
      margin: 1.5em 0;
      padding: 20px 20px 20px 30px;
      font-size: 18px;
      line-height: 26px;
      position: relative;
      @media (min-width: $screen-xs) and (max-width: $screen-md) {
        font-size: 22px;
        line-height: 32px;
      }
      @media (min-width: $screen-md) and (max-width: $screen-lg) {
        margin: 2em 0;
        font-size: 26px;
        line-height: 36px;
      }
      @media (min-width: $screen-lg) {
        margin: 2em 0;
        font-size: 28px;
        line-height: 38px;
      }
      &::before {
        content: "”";
        position: absolute;
        right: 0px;
        top: -11px;
        font-family: sans-serif;
        font-size: 300px;
        line-height: 300px;
        padding: 0 10px;
        z-index: -1;
        height: 65px;
        color: lighten($color: $color-primary, $amount: 36);
      }

      &::after {
        position: absolute;
        top: 10px;
        left: 10px;
        bottom: -10px;
        right: -10px;
        content: "";
        display: block;
        background-color:lighten($color: $color-primary, $amount: 45);
        z-index: -2;
      }
    }

    &.dark {
      blockquote {
        z-index: 1;
        border-color: $color-white;
        &::before {
          color: lighten($color: $color-black, $amount: 36);
        }
        &::after {
          background-color: transparent;
        }
      }

      figure::before {
        border-color: $color-white;
      }
    }
  }

  .block_related_stories {
    h2 {
      margin: 0 0 1em 0;
      font-weight: bold;
      font-size: 22px;
    }

    ul {
      list-style: none;
      padding: 0;
      margin: -15px;
      @media (min-width: $screen-xlg) {
        margin: 0;
      }
      li.item {
        float: left;
        width: 50%;
        @media (min-width: $screen-md) and (max-width: $screen-xlg) {
          width: 33.333%;
        }
        @media (min-width: $screen-xlg) {
          float: none;
          width: 100%;
          margin-bottom: 1.2em;
          overflow: hidden;
          background-color:darken($color:$color-white,$amount: 3);
          @include set_border_radius(5px);
        }

        &.dark {
          @media (min-width: $screen-xlg) {
            background-color:lighten($color:$color-black,$amount: 3);
            &:hover {
              background-color:lighten($color:$color-black,$amount: 10);
            }
          }
        }

        .wrapper {
          padding: 15px;
          position: relative;
          @media (min-width: $screen-xlg) {
            padding: 15px;
          }
          .title_shade {
            position: absolute;
            left: 15px;
            right: 15px;
            bottom: 15px;
            top: 40%;
            background-image: linear-gradient(to bottom, rgba(255,0,0,0), rgba(0,0,0,0.8));
            z-index: 0;
            @include set_border_radius(8px);
            @media (min-width: $screen-xlg) {
              display: none;
            }
          }
        }

        .card {
          position: relative;
          overflow: hidden;
          box-shadow: 1px 5px 15px 2px #ccc;
          @include set_border_radius(8px);

          &.dark {
            box-shadow: none;
          }

          @media (min-width: $screen-xlg) {
            box-shadow: none;
            @include set_border_radius(0);
          }
        }

        .item_image {
          @media (min-width: $screen-xlg) {
            float: right;
            width: 70px;
            height: 70px;
            overflow: hidden;
          }
          img {
            display: block;
          }
        }

        .item_title {
          font-size: 16px;
          line-height: 22px;
          z-index: 1;
          @media (min-width: $screen-md) and (max-width: $screen-lg) {
            font-size: 18px;
            line-height: 24px;
          }
          @media (min-width: $screen-lg) and (max-width: $screen-xlg) {
            font-size: 20px;
            line-height: 28px;
          }

          @media (min-width: $screen-xlg) {
            margin-right: 0.5em;
            font-size: 18px;
            line-height: 23px;
            margin-right: 80px;
          }

          a {
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 1;
            @media (min-width: $screen-xlg) {
              position:initial;
            }
            span {
              position: absolute;
              right: 20px;
              bottom: 20px;
              left: 20px;
              color: $color-white;
              z-index: 1;
              opacity: .7;
              @media (min-width: $screen-md) and (max-width: $screen-lg) {
                right: 25px;
                bottom: 25px;
                left: 25px;
              }
              @media (min-width: $screen-lg) and (max-width: $screen-xlg) {
                right: 30px;
                bottom: 30px;
                left: 30px;
              }
              @media (min-width: $screen-xlg) {
                opacity: 1;
                position:initial;
                color: $color-primary;
                font-weight: normal;
              }
            }
            &:hover {
              span {
                opacity: 1;
                @media (min-width: $screen-xlg) {
                  color: $color-white;
                  background-color: $color-primary;
                }
              }
            }
          }
        }
      }
    }
  }
}